# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions
dirac::PredictStepShift< shift > Class Template Reference

Class to do two-tap prediction lifting step.

`#include <wavelet_utils.h>`

List of all members.

## Public Member Functions
| PredictStepShift ()
| Constructor.
void | Filter (CoeffType &in_val, const CoeffType &val1, const CoeffType &val2) const
| Do the filtering.

## Constructor & Destructor Documentation

template<int shift>

dirac::PredictStepShift< shift >::PredictStepShift | ( |  | ) |
| inline

## Member Function Documentation

template<int shift>

void dirac::PredictStepShift< shift >::Filter | ( | CoeffType & | in_val,
|  | const CoeffType & | val1,
|  | const CoeffType & | val2
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.